Difference between revisions of "Arch Pipe/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{GuiCommand/fr|Name=Arch Pipe|Name/fr=Arch Tube|Workbenches=Arch|MenuLocation=Arch → Pipe Tools -> Pipe|Shortcut=P I|SeeAlso=Arch PipeConnector/fr|Arch...")
(70 intermediate revisions by 6 users not shown)
Line 1: Line 1:
{{GuiCommand/fr|Name=Arch Pipe|Name/fr=Arch Tube|Workbenches=[[Arch Module/fr|Arch]]|MenuLocation=Arch → Pipe Tools -> Pipe|Shortcut=P I|SeeAlso=[[Arch PipeConnector/fr|Arch Tube Connexion]]}}
+
<languages/>
 +
{{docnav
 +
|[[Arch_CompPipe/fr|Outils tuyauteries]]
 +
|[[Arch_PipeConnector/fr|Tube connecteur]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_CompPipe.png
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_PipeConnector.svg
 +
}}
 +
 
 +
{{GuiCommand/fr
 +
|Name=Arch Pipe
 +
|Name/fr=Arch Tuyau
 +
|MenuLocation=Arch → Pipe Tools → Tuyau
 +
|Workbenches=[[Arch Module/fr|Arch]]
 +
|Shortcut={{KEY|P}} {{KEY|I}}
 +
|SeeAlso=[[Arch PipeConnector/fr|Arch Tube Connecteur]], [[Arch Equipment/fr|Arch Equipement]]
 +
|Version=0.17
 +
}}
  
 
== Description ==  
 
== Description ==  
  
This tool allows to create pipes from scratch, or from selected objects. The selected objects must be Part-based (Draft, Sketch, etc..) and contain one and only one open Wire,
+
Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert.
 +
 
 +
== Utilisation ==
 +
 
 +
# Sélectionnez une forme linéaire [[Part Workbench/fr|Part]] telle qu'une [[Draft Line/fr|Draft Ligne]], un [[Draft Wire|Draft Fil]] ou une [[Sketcher NewSketch/fr|Esquisse]] ouverte.
 +
# Appelez cette commande en utilisant plusieurs méthodes:
 +
#* En appuyant sur le bouton {{Button|[[Image:Arch Pipe.svg|16px]] [[Arch Pipe/fr|Arch Tuyau]]}} dans la barre d'outils.
 +
#* Appuyez sur le raccourci clavier {{KEY|P}} puis {{KEY|I}}.
 +
#* Appuyez sur l'entrée {{MenuCommand|Arch → Pipe Tools → Tuyau}} dans le menu supérieur.
  
== How to use ==
+
== Options ==
  
# Optionally, select a linear [[Part Workbench|Part]] shape such as a [[Draft Line]], a [[Draft Wire]] or an open [[Sketcher NewSketch|Sketch]]
+
* Pipes partage les propriétés et comportements communs à tous les composants [[Arch Component/fr|Arch Composant]]
# Press the {{KEY|[[Image:Arch Pipe.png|16px]] [[Arch Pipe]]}} button, or press {{KEY|P}} then {{KEY|I}} keys
 
  
== Properties ==
+
== Propriétés ==
  
* {{PropertyData|Length}}: Sets the length of this pipe, when it is not based on a wire
+
* {{PropertyData/fr|Length}}: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
* {{PropertyData|Diameter}}: The diameter of this pipe, when it is not based on a profile
+
* {{PropertyData/fr|Diameter}}: Le diamètre du tube, s'il n'est pas basé sur un profil
* {{PropertyData|Base}}: The base wire of this pipe, if any
+
* {{PropertyData/fr|Base}}: Le fil est basé seulement sur le tube
* {{PropertyData|Profile}}: The base profile of this pipe. If not given, the pipe is cylindrical.
+
* {{PropertyData/fr|Profile}}: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.
  
== Typical workflow ==
+
== Travail typique ==
  
* Start by placing sanitary/hydraulic appliance items (below is an imported step file). You turn these objects into Arch Equipments by selecting them, and pressing the [[Arch Equipment]] button.
+
* Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton  [[Arch Equipment/fr|Arch Equipement]].
  
[[Image:Arch_pipe_example_01.jpg]]
+
[[Image:Arch_pipe_example_01.jpg|Arch_pipe_example_01]]
  
* Arch Equipments now have a new '''SnapPoints''' property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new [[Draft Special]] snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:
+
* Dans Arch Equipments vous avez maintenant une nouvelle propriété, qui est une liste de vecteurs 3D. Vous pouvez maintenant ajouter des points aux dimensions voulues, ces coordonnées  pourront servir de points d'accrochage si le nouveau bouton [[Draft Special/fr|Draft Spécial]] est activé. Cependant cette propriété n'est seulement disponible qu'en créant un code Python. Dans l'exemple ci dessus, un nouveau point d'accrochage a été ajouté à la sortie du WC. Les vecteurs des points d'accrochage sur le modèle apparaissent comme des points blancs .
  
 
  FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
 
  FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]
  
[[Image:Arch_pipe_example_02.jpg]]
+
[[Image:Arch_pipe_example_02.jpg|Arch_pipe_example_02]]
  
* With the new "Snap Special" Draft Snap, you can now snap to these custom points:
+
* Avec "Snap Special" Draft Snap, vous pouvez maintenant vous accrocher sur tous ces points:
  
[[Image:Arch_pipe_example_03.jpg]]
+
[[Image:Arch_pipe_example_03.jpg|Arch_pipe_example_03]]
  
* Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:
+
* Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lines, Draft Wires, ou Sketches. La meilleure solution est d'utiliser uniquement Draft Lines:
  
[[Image:Arch_pipe_example_04.jpg]]
+
[[Image:Arch_pipe_example_04.jpg|Arch_pipe_example_04]]
  
* There is now a new [[Draft Slope]] tool that allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.
+
* Il y a maintenant un nouvel outil [[Draft Slope/fr|Draft Pente]] qui permet de donner une pente aux lignes, par exemple: 5% (0,05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.
  
[[Image:Arch_pipe_example_05.jpg]]
+
[[Image:Arch_pipe_example_05.jpg|Arch_pipe_example_05]]
  
* We now only have to select all our lines, and press the [[Arch Pipe]] button. Arch Pipe works with any Part-based object that contains one and only one open wire.
+
* Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton [[Arch Pipe/fr|Arch Tuyau]]. Arch Tuyau travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.
  
[[Image:Arch_pipe_example_06.jpg]]
+
[[Image:Arch_pipe_example_06.jpg|Arch_pipe_example_06]]
  
* We can now create connections by selecting 2 or 3 coincident tubes, and press the [[Arch PipeConnector]] button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:
+
* Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton [[Arch PipeConnector/fr|Arch Connecteur tuyau]]. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:
  
[[Image:Arch_pipe_example_07.jpg]]
+
[[Image:Arch_pipe_example_07.jpg|Arch_pipe_example_07]]
  
* Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.
+
* Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.
  
It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.
+
Il est aussi possible de créer un tube sans ligne de base, dans ce cas utilisez la propriété "Length" pour définir la longueur.
  
== Scripting ==
+
== Script ==
 +
{{Emphasis|Voir aussi:}} [[Arch API/fr|API]] and [[FreeCAD Scripting Basics/fr|Débuter avec les scripts]].
  
The Pipe tool can by used in [[macros]] and from the python console by using the following function:
+
L'outil Pipe (Tube) peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] en utilisant la fonction suivante :
 +
{{Code|code=
 +
Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
 +
}}
 +
 
 +
* Creates a {{incode|Pipe}} object from the given {{incode|baseobj}} and {{incode|diameter}}.
 +
** {{incode|baseobj}} is a [[Draft Line]] or [[Draft Wire]].
 +
** If {{incode|baseobj}} is omitted, a straight pipe can be created with just the {{incode|diameter}} and the {{incode|length}} in the Z direction.
 +
* If a {{incode|placement}} is given, it is used.
  
 
{{Code|code=
 
{{Code|code=
import Arch
+
import Draft, Arch
Arch.makePipe ( [objectsList,diameter] )
+
 
 +
p1 = FreeCAD.Vector(1000, 0, 0)
 +
p2 = FreeCAD.Vector(2500, 200, 0)
 +
p3 = FreeCAD.Vector(3100, 1000, 0)
 +
p4 = FreeCAD.Vector(3500, 500, 0)
 +
Line = Draft.makeWire([p1, p2, p3, p4])
 +
 
 +
Pipe = Arch.makePipe(Line, 200)
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Pipe2 = Arch.makePipe(diameter=120, length=3000)
 +
FreeCAD.ActiveDocument.recompute()
 +
}}
 +
{{docnav
 +
|[[Arch_CompPipe/fr|Outils tuyauteries]]
 +
|[[Arch_PipeConnector/fr|Tube connecteur]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_CompPipe.png
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_PipeConnector.svg
 
}}
 
}}
  
<languages/>
+
{{Arch Tools navi/fr}}
 +
 
 +
{{Userdocnavi/fr}}

Revision as of 09:33, 1 February 2020

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語

Arch Pipe.svg Arch Tuyau

Emplacement du menu
Arch → Pipe Tools → Tuyau
Ateliers
Arch
Raccourci par défaut
P I
Introduit dans la version
0.17
Voir aussi
Arch Tube Connecteur, Arch Equipement


Description

Cet outil vous permet de créer un tube à partir de zéro ou à partir d'objets basés sur (Draft, Sketch, etc..) sélectionnés et contenant un fil et un seul fil ouvert.

Utilisation

  1. Sélectionnez une forme linéaire Part telle qu'une Draft Ligne, un Draft Fil ou une Esquisse ouverte.
  2. Appelez cette commande en utilisant plusieurs méthodes:
    • En appuyant sur le bouton Arch Pipe.svg Arch Tuyau dans la barre d'outils.
    • Appuyez sur le raccourci clavier P puis I.
    • Appuyez sur l'entrée Arch → Pipe Tools → Tuyau dans le menu supérieur.

Options

  • Pipes partage les propriétés et comportements communs à tous les composants Arch Composant

Propriétés

  • DonnéesLength: Donne une longueur au tube, s'il n'est pas basé sur un fil (wire).
  • DonnéesDiameter: Le diamètre du tube, s'il n'est pas basé sur un profil
  • DonnéesBase: Le fil est basé seulement sur le tube
  • DonnéesProfile: Le tube est basé sur le profil. S'il n'y a pas de profil, le tube est cylindrique.

Travail typique

  • Commencez le placement des sanitaires hydrauliques (le fichier exemple ci dessous est un fichier step importé). Sélectionnez l'objet et activez l'Arch Equipments en cliquant sur le bouton Arch Equipement.

Arch_pipe_example_01

  • Dans Arch Equipments vous avez maintenant une nouvelle propriété, qui est une liste de vecteurs 3D. Vous pouvez maintenant ajouter des points aux dimensions voulues, ces coordonnées pourront servir de points d'accrochage si le nouveau bouton Draft Spécial est activé. Cependant cette propriété n'est seulement disponible qu'en créant un code Python. Dans l'exemple ci dessus, un nouveau point d'accrochage a été ajouté à la sortie du WC. Les vecteurs des points d'accrochage sur le modèle apparaissent comme des points blancs .
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch_pipe_example_02

  • Avec "Snap Special" Draft Snap, vous pouvez maintenant vous accrocher sur tous ces points:

Arch_pipe_example_03

  • Maintenant vous pouvez créer vos tubes en utilisant les fonctions Draft Lines, Draft Wires, ou Sketches. La meilleure solution est d'utiliser uniquement Draft Lines:

Arch_pipe_example_04

  • Il y a maintenant un nouvel outil Draft Pente qui permet de donner une pente aux lignes, par exemple: 5% (0,05). Nous pouvons donc donner facilement une pente aux tubes de décharge. Seul la coordonnée Z est changée avec cet outil, il faut donner le départ et la fin, la coordonnées de départ (haut) reste inchangé.

Arch_pipe_example_05

  • Maintenant nous n'avons qu'a sélectionner les lignes et cliquer sur le bouton Arch Tuyau. Arch Tuyau travaille avec n'importe quel objet ligne et seulement avec des lignes ouvertes.

Arch_pipe_example_06

  • Vous pouvez maintenant créer des connexions avec deux ou trois tubes coïncidents en cliquant sur le bouton Arch Connecteur tuyau. Si vous sélectionnez trois tubes, deux tubes doivent être alignés pour créer un élément de départ:

Arch_pipe_example_07

  • Changer le rayon de courbure ne modifie pas la longueur résultante du tracé des tubes (pour changer la résultante, vous devez changer le départ et l'arrivée des tubes). Vous pouvez donc tracer votre chemin de lignes sans vous soucier des courbes et rayon des coudes.

Il est aussi possible de créer un tube sans ligne de base, dans ce cas utilisez la propriété "Length" pour définir la longueur.

Script

Voir aussi: API and Débuter avec les scripts.

L'outil Pipe (Tube) peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()